Get Server
curl --request GET \
--url https://fexmetrics-fivem-redm-server-analytics-api3.p.rapidapi.com/rapid/v1/servers/{identifier} \
--header 'X-RapidAPI-Key: <api-key>'const options = {method: 'GET', headers: {'X-RapidAPI-Key': '<api-key>'}};
fetch('https://fexmetrics-fivem-redm-server-analytics-api3.p.rapidapi.com/rapid/v1/servers/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fexmetrics-fivem-redm-server-analytics-api3.p.rapidapi.com/rapid/v1/servers/{identifier}"
headers = {"X-RapidAPI-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "public-fivem",
"game": "fivem",
"cfxId": "cfx-public",
"hostname": "Alpha RP",
"projectName": "Alpha Roleplay",
"projectDescription": "English roleplay community",
"region": "US",
"players": {
"current": 80,
"max": 128
},
"tags": [
"roleplay",
"english"
],
"flags": [
"EN",
"WHITELIST"
],
"discord": "https://discord.example/alpha",
"iconUrl": null,
"offline": false,
"firstSeenAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-08-14T08:00:00.000Z"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request"
}
}{
"error": {
"code": "RAPIDAPI_UNAUTHORIZED",
"message": "Unauthorized"
}
}{
"error": {
"code": "FEATURE_NOT_AVAILABLE",
"message": "Feature not available for this subscription"
}
}{
"error": {
"code": "SERVER_NOT_FOUND",
"message": "Server not found"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error"
}
}Servers
Get Server
Returns one public server by Fexmetrics ID or CFX ID.
GET
https://fexmetrics-fivem-redm-server-analytics-api3.p.rapidapi.com
/
rapid
/
v1
/
servers
/
{identifier}
Get Server
curl --request GET \
--url https://fexmetrics-fivem-redm-server-analytics-api3.p.rapidapi.com/rapid/v1/servers/{identifier} \
--header 'X-RapidAPI-Key: <api-key>'const options = {method: 'GET', headers: {'X-RapidAPI-Key': '<api-key>'}};
fetch('https://fexmetrics-fivem-redm-server-analytics-api3.p.rapidapi.com/rapid/v1/servers/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fexmetrics-fivem-redm-server-analytics-api3.p.rapidapi.com/rapid/v1/servers/{identifier}"
headers = {"X-RapidAPI-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "public-fivem",
"game": "fivem",
"cfxId": "cfx-public",
"hostname": "Alpha RP",
"projectName": "Alpha Roleplay",
"projectDescription": "English roleplay community",
"region": "US",
"players": {
"current": 80,
"max": 128
},
"tags": [
"roleplay",
"english"
],
"flags": [
"EN",
"WHITELIST"
],
"discord": "https://discord.example/alpha",
"iconUrl": null,
"offline": false,
"firstSeenAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-08-14T08:00:00.000Z"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request"
}
}{
"error": {
"code": "RAPIDAPI_UNAUTHORIZED",
"message": "Unauthorized"
}
}{
"error": {
"code": "FEATURE_NOT_AVAILABLE",
"message": "Feature not available for this subscription"
}
}{
"error": {
"code": "SERVER_NOT_FOUND",
"message": "Server not found"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error"
}
}Authorizations
Customer key supplied by RapidAPI.
Path Parameters
Canonical Fexmetrics ID by default, or CFX ID when by=cfxId is supported and supplied.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9-]+$Response
Public server detail.
Hide child attributes
Hide child attributes
Available options:
fivem, redm Was this page helpful?
⌘I

.png?fit=max&auto=format&n=WynbxrDMXyS2U53a&q=85&s=f376e17309755dc8ae1d1619ddbcd9ec)